Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455632 - NetworkManager (and -openvpn + -vpnc) svn dependency resolution conflict within updates themselves on x86_64 system. Install FAILS
Summary: NetworkManager (and -openvpn + -vpnc) svn dependency resolution conflict with...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager
Version: 8
Hardware: x86_64
OS: Linux
medium
high
Target Milestone: ---
Assignee: Dan Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 455037
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-16 18:09 UTC by Chuck Lasher
Modified: 2009-01-09 07:51 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-09 07:51:11 UTC


Attachments (Terms of Use)

Description Chuck Lasher 2008-07-16 18:09:22 UTC
Description of problem:
Current public update (15-Jul-08).... Internal Dependency Conflict check fails,
referencing svn modules during update install.   Updates appear to be mislabeled
i386 updates being sent to x86_64 system.

Version-Release number of selected component (if applicable):  See below

NetworkManager 0.7.0 vs 0.6.7 (i386) and 0.6.9 (x86_64)
openvpn
vpnc



How reproducible:   Use FC8 Package Updater

Apply NetworkManager and openvpn and vpnc updates (available this date) to show
the updates themselves are in conflict


Steps to Reproduce:
1.  select the 3 updates (Network Manager, openvpn, vpnc)
2.  apply
3.  continue after additional dependencies added (first indication of problem)
  
Actual results:

Software Updater reports dependency conflicts within the updates themselves as:

file /usr/lib/libnm-util.so.0.0.0 from install of
NetworkManager-glib-0.7.0-0.6.9.svn3675.fc8.i386 conflicts with file from
package NetworkManager-0.7.0-0.6.7.svn3370.fc8.i386
file /etc/rc.d/init.d/NetworkManager from install of
NetworkManager-0.7.0-0.6.9.svn3675.fc8.x86_64 conflicts with file from package
NetworkManager-0.7.0-0.6.7.svn3370.fc8.i386
file /usr/share/doc/NetworkManager-0.7.0/ChangeLog from install of
NetworkManager-0.7.0-0.6.9.svn3675.fc8.x86_64 conflicts with file from package
NetworkManager-0.7.0-0.6.7.svn3370.fc8.i386
file /usr/share/locale/be@latin/LC_MESSAGES/NetworkManager.mo from install of
NetworkManager-0.7.0-0.6.9.svn3675.fc8.x86_64 conflicts with file from package
NetworkManager-0.7.0-0.6.7.svn3370.fc8.i386
file /usr/share/locale/be@latin/LC_MESSAGES/nm-applet.mo from install of
NetworkManager-0.7.0-0.6.9.svn3675.fc8.x86_64 conflicts with file from package
NetworkManager-0.7.0-0.6.7.svn3370.fc8.i386
file /usr/share/locale/el/LC_MESSAGES/nm-applet.mo from install of
NetworkManager-0.7.0-0.6.9.svn3675.fc8.x86_64 conflicts with file from package
NetworkManager-0.7.0-0.6.7.svn3370.fc8.i386
file /usr/share/locale/en_GB/LC_MESSAGES/NetworkManager.mo from install of
NetworkManager-0.7.0-0.6.9.svn3675.fc8.x86_64 conflicts with file from package
NetworkManager-0.7.0-0.6.7.svn3370.fc8.i386
file /usr/share/locale/en_GB/LC_MESSAGES/nm-applet.mo from install of
NetworkManager-0.7.0-0.6.9.svn3675.fc8.x86_64 conflicts with file from package
NetworkManager-0.7.0-0.6.7.svn3370.fc8.i386
file /usr/share/locale/es/LC_MESSAGES/NetworkManager.mo from install of
NetworkManager-0.7.0-0.6.9.svn3675.fc8.x86_64 conflicts with file from package
NetworkManager-0.7.0-0.6.7.svn3370.fc8.i386
file /usr/share/locale/es/LC_MESSAGES/nm-applet.mo from install of
NetworkManager-0.7.0-0.6.9.svn3675.fc8.x86_64 conflicts with file from package
NetworkManager-0.7.0-0.6.7.svn3370.fc8.i386
file /usr/share/locale/eu/LC_MESSAGES/NetworkManager.mo from install of
NetworkManager-0.7.0-0.6.9.svn3675.fc8.x86_64 conflicts with file from package
NetworkManager-0.7.0-0.6.7.svn3370.fc8.i386
file /usr/share/locale/eu/LC_MESSAGES/nm-applet.mo from install of
NetworkManager-0.7.0-0.6.9.svn3675.fc8.x86_64 conflicts with file from package
NetworkManager-0.7.0-0.6.7.svn3370.fc8.i386
file /usr/share/locale/fi/LC_MESSAGES/NetworkManager.mo from install of
NetworkManager-0.7.0-0.6.9.svn3675.fc8.x86_64 conflicts with file from package
NetworkManager-0.7.0-0.6.7.svn3370.fc8.i386
file /usr/share/locale/fi/LC_MESSAGES/nm-applet.mo from install of
NetworkManager-0.7.0-0.6.9.svn3675.fc8.x86_64 conflicts with file from package
NetworkManager-0.7.0-0.6.7.svn3370.fc8.i386
file /usr/share/locale/fr/LC_MESSAGES/NetworkManager.mo from install of
NetworkManager-0.7.0-0.6.9.svn3675.fc8.x86_64 conflicts with file from package
NetworkManager-0.7.0-0.6.7.svn3370.fc8.i386
file /usr/share/locale/fr/LC_MESSAGES/nm-applet.mo from install of
NetworkManager-0.7.0-0.6.9.svn3675.fc8.x86_64 conflicts with file from package
NetworkManager-0.7.0-0.6.7.svn3370.fc8.i386
file /usr/share/locale/gl/LC_MESSAGES/nm-applet.mo from install of
NetworkManager-0.7.0-0.6.9.svn3675.fc8.x86_64 conflicts with file from package
NetworkManager-0.7.0-0.6.7.svn3370.fc8.i386
file /usr/share/locale/he/LC_MESSAGES/nm-applet.mo from install of
NetworkManager-0.7.0-0.6.9.svn3675.fc8.x86_64 conflicts with file from package
NetworkManager-0.7.0-0.6.7.svn3370.fc8.i386
file /usr/share/locale/hu/LC_MESSAGES/NetworkManager.mo from install of
NetworkManager-0.7.0-0.6.9.svn3675.fc8.x86_64 conflicts with file from package
NetworkManager-0.7.0-0.6.7.svn3370.fc8.i386
file /usr/share/locale/hu/LC_MESSAGES/nm-applet.mo from install of
NetworkManager-0.7.0-0.6.9.svn3675.fc8.x86_64 conflicts with file from package
NetworkManager-0.7.0-0.6.7.svn3370.fc8.i386
file /usr/share/locale/lt/LC_MESSAGES/nm-applet.mo from install of
NetworkManager-0.7.0-0.6.9.svn3675.fc8.x86_64 conflicts with file from package
NetworkManager-0.7.0-0.6.7.svn3370.fc8.i386
file /usr/share/locale/mk/LC_MESSAGES/nm-applet.mo from install of
NetworkManager-0.7.0-0.6.9.svn3675.fc8.x86_64 conflicts with file from package
NetworkManager-0.7.0-0.6.7.svn3370.fc8.i386
file /usr/share/locale/nb/LC_MESSAGES/NetworkManager.mo from install of
NetworkManager-0.7.0-0.6.9.svn3675.fc8.x86_64 conflicts with file from package
NetworkManager-0.7.0-0.6.7.svn3370.fc8.i386
file /usr/share/locale/nb/LC_MESSAGES/nm-applet.mo from install of
NetworkManager-0.7.0-0.6.9.svn3675.fc8.x86_64 conflicts with file from package
NetworkManager-0.7.0-0.6.7.svn3370.fc8.i386
file /usr/share/locale/oc/LC_MESSAGES/NetworkManager.mo from install of
NetworkManager-0.7.0-0.6.9.svn3675.fc8.x86_64 conflicts with file from package
NetworkManager-0.7.0-0.6.7.svn3370.fc8.i386
file /usr/share/locale/oc/LC_MESSAGES/nm-applet.mo from install of
NetworkManager-0.7.0-0.6.9.svn3675.fc8.x86_64 conflicts with file from package
NetworkManager-0.7.0-0.6.7.svn3370.fc8.i386
file /usr/share/locale/sv/LC_MESSAGES/NetworkManager.mo from install of
NetworkManager-0.7.0-0.6.9.svn3675.fc8.x86_64 conflicts with file from package
NetworkManager-0.7.0-0.6.7.svn3370.fc8.i386
file /usr/share/locale/sv/LC_MESSAGES/nm-applet.mo from install of
NetworkManager-0.7.0-0.6.9.svn3675.fc8.x86_64 conflicts with file from package
NetworkManager-0.7.0-0.6.7.svn3370.fc8.i386
file /usr/share/locale/zh_HK/LC_MESSAGES/nm-applet.mo from install of
NetworkManager-0.7.0-0.6.9.svn3675.fc8.x86_64 conflicts with file from package
NetworkManager-0.7.0-0.6.7.svn3370.fc8.i386
file /usr/share/locale/zh_TW/LC_MESSAGES/nm-applet.mo from install of
NetworkManager-0.7.0-0.6.9.svn3675.fc8.x86_64 conflicts with file from package
NetworkManager-0.7.0-0.6.7.svn3370.fc8.i386
file /usr/share/applications/nm-vpnc.desktop from install of
NetworkManager-vpnc-0.7.0-0.7.7.svn3627.fc8.x86_64 conflicts with file from
package NetworkManager-vpnc-0.7.0-0.6.3.svn3109.fc8.i386
file /usr/share/doc/NetworkManager-vpnc-0.7.0/ChangeLog from install of
NetworkManager-vpnc-0.7.0-0.7.7.svn3627.fc8.x86_64 conflicts with file from
package NetworkManager-vpnc-0.7.0-0.6.3.svn3109.fc8.i386
file /usr/share/locale/ar/LC_MESSAGES/NetworkManager-vpnc.mo from install of
NetworkManager-vpnc-0.7.0-0.7.7.svn3627.fc8.x86_64 conflicts with file from
package NetworkManager-vpnc-0.7.0-0.6.3.svn3109.fc8.i386
file /usr/share/locale/ca/LC_MESSAGES/NetworkManager-vpnc.mo from install of
NetworkManager-vpnc-0.7.0-0.7.7.svn3627.fc8.x86_64 conflicts with file from
package NetworkManager-vpnc-0.7.0-0.6.3.svn3109.fc8.i386
file /usr/share/locale/en_GB/LC_MESSAGES/NetworkManager-vpnc.mo from install of
NetworkManager-vpnc-0.7.0-0.7.7.svn3627.fc8.x86_64 conflicts with file from
package NetworkManager-vpnc-0.7.0-0.6.3.svn3109.fc8.i386
file /usr/share/locale/es/LC_MESSAGES/NetworkManager-vpnc.mo from install of
NetworkManager-vpnc-0.7.0-0.7.7.svn3627.fc8.x86_64 conflicts with file from
package NetworkManager-vpnc-0.7.0-0.6.3.svn3109.fc8.i386
file /usr/share/locale/fi/LC_MESSAGES/NetworkManager-vpnc.mo from install of
NetworkManager-vpnc-0.7.0-0.7.7.svn3627.fc8.x86_64 conflicts with file from
package NetworkManager-vpnc-0.7.0-0.6.3.svn3109.fc8.i386
file /usr/share/locale/hu/LC_MESSAGES/NetworkManager-vpnc.mo from install of
NetworkManager-vpnc-0.7.0-0.7.7.svn3627.fc8.x86_64 conflicts with file from
package NetworkManager-vpnc-0.7.0-0.6.3.svn3109.fc8.i386
file /usr/share/locale/mk/LC_MESSAGES/NetworkManager-vpnc.mo from install of
NetworkManager-vpnc-0.7.0-0.7.7.svn3627.fc8.x86_64 conflicts with file from
package NetworkManager-vpnc-0.7.0-0.6.3.svn3109.fc8.i386
file /usr/share/locale/nb/LC_MESSAGES/NetworkManager-vpnc.mo from install of
NetworkManager-vpnc-0.7.0-0.7.7.svn3627.fc8.x86_64 conflicts with file from
package NetworkManager-vpnc-0.7.0-0.6.3.svn3109.fc8.i386
file /usr/share/locale/pl/LC_MESSAGES/NetworkManager-vpnc.mo from install of
NetworkManager-vpnc-0.7.0-0.7.7.svn3627.fc8.x86_64 conflicts with file from
package NetworkManager-vpnc-0.7.0-0.6.3.svn3109.fc8.i386
file /usr/share/locale/pt_BR/LC_MESSAGES/NetworkManager-vpnc.mo from install of
NetworkManager-vpnc-0.7.0-0.7.7.svn3627.fc8.x86_64 conflicts with file from
package NetworkManager-vpnc-0.7.0-0.6.3.svn3109.fc8.i386
file /usr/share/locale/sv/LC_MESSAGES/NetworkManager-vpnc.mo from install of
NetworkManager-vpnc-0.7.0-0.7.7.svn3627.fc8.x86_64 conflicts with file from
package NetworkManager-vpnc-0.7.0-0.6.3.svn3109.fc8.i386
file /etc/NetworkManager/VPN/nm-openvpn-service.name from install of
NetworkManager-openvpn-0.7.0-10.svn3632.fc8.x86_64 conflicts with file from
package NetworkManager-openvpn-0.7.0-8.svn3302.fc8.i386
file /usr/share/doc/NetworkManager-openvpn-0.7.0/ChangeLog from install of
NetworkManager-openvpn-0.7.0-10.svn3632.fc8.x86_64 conflicts with file from
package NetworkManager-openvpn-0.7.0-8.svn3302.fc8.i386
file /usr/share/locale/ca/LC_MESSAGES/NetworkManager-openvpn.mo from install of
NetworkManager-openvpn-0.7.0-10.svn3632.fc8.x86_64 conflicts with file from
package NetworkManager-openvpn-0.7.0-8.svn3302.fc8.i386
file /usr/share/locale/en_GB/LC_MESSAGES/NetworkManager-openvpn.mo from install
of NetworkManager-openvpn-0.7.0-10.svn3632.fc8.x86_64 conflicts with file from
package NetworkManager-openvpn-0.7.0-8.svn3302.fc8.i386
file /usr/share/locale/hu/LC_MESSAGES/NetworkManager-openvpn.mo from install of
NetworkManager-openvpn-0.7.0-10.svn3632.fc8.x86_64 conflicts with file from
package NetworkManager-openvpn-0.7.0-8.svn3302.fc8.i386
file /usr/share/locale/nl/LC_MESSAGES/NetworkManager-openvpn.mo from install of
NetworkManager-openvpn-0.7.0-10.svn3632.fc8.x86_64 conflicts with file from
package NetworkManager-openvpn-0.7.0-8.svn3302.fc8.i386



Expected results:

clean install


Additional info:

Comment 1 Chuck Lasher 2008-07-16 18:14:59 UTC
If possible, please remove these updates from the published list of updates (as
seen by Package Updater when it scans the repos) to be installed until final
resolution.

With Thanks,
Chuck



Comment 2 Chuck Lasher 2008-07-16 18:19:11 UTC

Personal comment to Dev team:

I'm also a kernel/system engineer/developer and will assist in any way possible.
I've been doing kernel and device driver development since 1988 as well as
teaching internals and driver writing.

Please let me know what I can do to help.

Thanks,
Chuck


Comment 3 Chuck Lasher 2008-07-16 18:25:48 UTC
...ooops (forgot to say)

I have not cross checked this on FC9 as I do not have any systems on 9 yet.  
(seems like now is a *good* time to do so in order to help out!) :)

Chuck


Comment 4 Chuck Lasher 2008-07-18 01:22:53 UTC
Research has confirmed related to / by bug 455037.

If NetworkManager svn3675 were to be solved, this bug would most likely not exist.



Comment 5 Dan Williams 2008-07-18 17:42:31 UTC

*** This bug has been marked as a duplicate of 451519 ***

Comment 6 Bug Zapper 2008-11-26 11:00:31 UTC
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Bug Zapper 2009-01-09 07:51:11 UTC
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.